<?php
if($this->session->userdata('is_logged_in')===FALSE){
			redirect('login');
}

$url = base_url("resources/template/penetapan/perdata_agama/".$blangko_phs.".rtf");

$Template = file_get_contents($url);

foreach($dataperkara->result() as $row) {
	$nomorperkara = $row->nomor_perkara;
	$tgl_daftar = $this->templatehelper->convertKeTglIndo($row->tanggal_pendaftaran);
}

$Template = str_replace("#NOMOR_PERKARA#",''.$nomorperkara.'',$Template);

$namapn = '';
$namakota = '';

foreach ($datapengadilan->result() as $row) {
	$namapn = $this->templatehelper->standradnaming($row->NamaPN);
	$namakota =str_replace("Pengadilan Agama ",'',$namapn);
    $namakota =str_replace("Mahkamah Syar'Iyah ",'',$namapn);
	$zona_waktu = trim($row->ZonaWaktu);
}


$Template = str_replace("Pengadilan Agama ",'',str_replace("#KOTA_PA#",ucwords(strtolower($namapn)),$Template));
$Template = str_replace("Mahkamah Syar'iyah ",'',str_replace("#KOTA_PA#",ucwords(strtolower($namapn)),$Template));
//$Template = str_replace('#NAMA_PA#',''.$namapn.'',$Template);
$Template = str_replace("#NAMA_PA#",ucwords(strtolower($namapn)),$Template);
//$Template = str_replace('#KOTA_PA#',''.$namakota.'',$Template);

$hakimketua = '';
$tanggalpenetapanhakim = '';

$majelis = true;
foreach ($datapenetapanhakim->result() as $row) {

	if($row->jabatan_hakim_id==1){
		$hakimketua =$row->nama_gelar;
	}elseif($row->jabatan_hakim_id==3){
		$majelis = false;
		$hakimketua =$row->nama_gelar;
	}
	$tanggalpenetapanhakim = $this->templatehelper->convertKeTglIndo($row->tanggal_penetapan);
}

$Template = str_replace("#NAMA_KETUA_MAJELIS#",''.$hakimketua.'',$Template)
;
$Template = str_replace("#TGL_DAFTAR#",''.$tgl_daftar.'',$Template);
$Template = str_replace("#TGL_PMH#",''.$tanggalpenetapanhakim.'',$Template);


foreach ($datapenetapansidang->result() as $row) {
	$tglsidang = $this->templatehelper->convertKeTglIndo($row->sidang_pertama);
	$tglpenetapansidang = $this->templatehelper->convertKeTglIndo($row->penetapan_hari_sidang);
	$jamsidang = $row->jam_sidang;
	$harisidang = $this->templatehelper->getHari($row->sidang_pertama);
}

$Template = str_replace("#TGL_SIDANG_PERTAMA#",''.$tglsidang.'',$Template);
$Template = str_replace("#TGL_PHS#",''.$tglpenetapansidang.'',$Template);
$Template = str_replace("#JAM_SIDANG_PERTAMA#",''.substr($jamsidang,0,5).' '.$zona_waktu ,$Template);
$Template = str_replace("#HARI_SIDANG_PERTAMA#",''.$harisidang.'',$Template);

$i=0;
$temp_pihak='';
$temp_kuasa='';
$pihak_array='';
foreach ($dataPihak1->result() as $row) {
    if($temp_pihak!=$row->id_pihak){
        $temp_pihak=$row->id_pihak;
        if($i>0){
            $pihak_array = str_replace("#ke#",' '.$this->templatehelper->converToAngkaRomawi($i), $pihak_array);
        }
        
        $pihak_array.=$row->nama.', umur '.$row->umur.' tahun, agama '.$row->agama.
                ', pekerjaan '.$row->pekerjaan.', Pendidikan '.$row->pendidikan.
                ', alamat '.$row->alamat;  
                    
        if($row->id_kuasa!=''){
            if($i>0){$pihak_array= str_replace("#DKK#",'', $pihak_array);}
            $pihak_array.=' dalam hal ini memberikan kuasa khusus kepada '.$row->nama_kuasa.
                ' #DKK# advokat/penasehat hukum dari '.$row->nama.
                ' yang berkantor di '.$row->alamat_kuasa.' berdasarkan surat kuasa khusus tanggal '.$this->templatehelper->convertKeTglIndo($row->tgl_kuasa).
                ' sebagai #SEBAGAI_P##ke#;#par#';            
        }else{
            $pihak_array.=' sebagai #SEBAGAI_P##ke#;#par#';    
        }
        $i++;
    }else{
         $pihak_array = str_replace("#DKK#",'dan kawan kawan', $pihak_array);
    }
}
if($i>1){
    $pihak_array = str_replace("#ke#",' '.$this->templatehelper->converToAngkaRomawi($i), $pihak_array);
    $pihak_array = str_replace("#par#",' \\par ', $pihak_array);
}else{
    $pihak_array = str_replace("#ke#",'', $pihak_array);
    $pihak_array = str_replace("#par#",'', $pihak_array);
}
$pihak_array = str_replace("#DKK#",'', $pihak_array);
$Template = str_replace("#loopingpenggugat#",$pihak_array,$Template);

$i=0;
$temp_pihak='';
$temp_kuasa='';
$pihak_array='';
foreach ($dataPihak2->result() as $row) {
    if($temp_pihak!=$row->id_pihak){
        $temp_pihak=$row->id_pihak;
        if($i>0){
            $pihak_array = str_replace("#ke#",' '.$this->templatehelper->converToAngkaRomawi($i), $pihak_array);
        }
        
        $pihak_array.=$row->nama.', umur '.$row->umur.' tahun, agama '.$row->agama.
                ', pekerjaan '.$row->pekerjaan.', Pendidikan '.$row->pendidikan.
                ', alamat '.$row->alamat;  
                    
        if($row->id_kuasa!=''){
            if($i>0){$pihak_array= str_replace("#DKK#",'', $pihak_array);}
            $pihak_array.=' dalam hal ini memberikan kuasa khusus kepada '.$row->nama_kuasa.
                ' #DKK# advokat/penasehat hukum dari '.$row->nama.
                ' yang berkantor di '.$row->alamat_kuasa.' berdasarkan surat kuasa khusus tanggal '.$this->templatehelper->convertKeTglIndo($row->tgl_kuasa).
                ' sebagai #SEBAGAI_T##ke#;#par#';            
        }else{
            $pihak_array.=' sebagai #SEBAGAI_T##ke#;#par#';    
        }
        $i++;
    }else{
         $pihak_array = str_replace("#DKK#",'dan kawan kawan', $pihak_array);
    }
}
if($i>1){
    $pihak_array = str_replace("#ke#",' '.$this->templatehelper->converToAngkaRomawi($i), $pihak_array);
    $pihak_array = str_replace("#par#",' \\par ', $pihak_array);
}else{
    $pihak_array = str_replace("#ke#",'', $pihak_array);
    $pihak_array = str_replace("#par#",'', $pihak_array);
}
$pihak_array = str_replace("#DKK#",'', $pihak_array);
$Template = str_replace("#loopingtergugat#",$pihak_array,$Template);

$idperkara=$this->encrypt->decode(base64_decode($enc));
$idalurperkara = $this->tanggalhelper->getIDAlurPerkara($idperkara);
$jenisPerkaraID=$this->tanggalhelper->getIDJenisPerkara($idperkara);

if ($idalurperkara==15) {
    $Template = str_replace("#GUGATAN_PERMOHONAN#",''."Gugatan".'',$Template);
    if ($jenisPerkaraID==346) {
        $Template = str_replace("#SEBAGAI_P#",''."Pemohon".'',$Template);
        $Template = str_replace("#SEBAGAI_T#",''."Termohon".'',$Template);
    }else{
        $Template = str_replace("#SEBAGAI_P#",''."Penggugat".'',$Template);
        $Template = str_replace("#SEBAGAI_T#",''."Tergugat".'',$Template);
    }
}else{
    $Template = str_replace("#GUGATAN_PERMOHONAN# ",''."Permohonan".'',$Template);   
    $Template = str_replace("#SEBAGAI_P#",''."Pemohon".'',$Template);
    $Template = str_replace("#SEBAGAI_T#",''."Termohon".'',$Template);
}

if ($dataamar->num_rows>0){
    foreach ($dataamar->result() as $row) {
        $amarPutusan =$this->templatehelper->cleanHtmlTag($row->amar_putusan);
        $tgl_putus = $this->templatehelper->convertKeTglIndo($row->tanggal_putusan);
        }
    $Template = str_replace("#amar#",''.$amarPutusan.'',$Template);
    $Template = str_replace("#tgl_putus#",''.$tgl_putus.'',$Template);    
}


header("Content-Type: application/vnd.ms-word");
header("Expires: 0");
header("Cache-Control:  must-revalidate, post-check=0, pre-check=0");
header("Content-disposition: attachment; filename=\""."Penetapan Hari Sidang"."-".$nomorperkara.".rtf\"");
echo $Template;
?>